<?php

namespace App\Modules\HtlTypeCamp\Application\List;

use App\Modules\BookingTourPassenger\Domain\IdBookingTourPassenger;
use App\Modules\HtlTypeCamp\Domain\HtlTypeCampRepository;
use App\Modules\HtlTypeCamp\Domain\ListHtlTypeCamp;

final class HtlTypeCampLister
{
    public function __construct(private HtlTypeCampRepository $repository)
    {
    }

    public function __invoke(string $action)
    {
        return $this->repository->search(new ListHtlTypeCamp($action));
    }
}
